import * as React from 'react';
export interface ILegendContext {
    SmWidth: number;
    LgWidth: number;
    SmHeight: number;
    LgHeight: number;
    SmallestFontSize: number;
    RequestLegendWidth: (width: number, requesterID: string) => void;
    RequestLegendHeight: (height: number) => void;
    RegisterFontSize: (requesterID: string, fontsize: number) => void;
    UnRegisterFontSize: (requesterID: string) => void;
}
export interface ILegendRequiredProps {
    size: 'lg' | 'sm';
    enabled: boolean;
}
export declare const LegendContext: React.Context<ILegendContext>;
